Cargar respuestas (FAQ)
POST
/partner/tenants/{tenant_id}/kb/answers
const url = 'https://api.overtaker.online/api/v1/partner/tenants/example/kb/answers';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"entries":[{"question":"example","answer":"example","tags":["example"]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.overtaker.online/api/v1/partner/tenants/example/kb/answers \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "entries": [ { "question": "example", "answer": "example", "tags": [ "example" ] } ] }'Carga un lote de pares pregunta/respuesta al KB del tenant. Máximo 200 por request.
Authorizations
Sección titulada «Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada «Path Parameters » tenant_id
required
Tenant Id
string
Request Body required
Sección titulada «Request Body required » Media type application/json
PartnerAnswersLoad
object
entries
required
Entries
Array<object>
AnswerEntryobject
question
required
Question
string
answer
required
Answer
string
tags
Any of:
Array<string>
null
Example generated
{ "entries": [ { "question": "example", "answer": "example", "tags": [ "example" ] } ]}Responses
Sección titulada « Responses »Successful Response
Media type application/json
KBLoadResult
object
created
required
Created
integer
source_id
required
Source Id
string
Example generated
{ "created": 1, "source_id": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}